ChangeSet 1.1229.25.1, 2003/05/28 15:54:26-05:00, Matt_Domsch@dell.com

dynids: use list_add_tail

instead of list_add, such that later entries come later in the scanned list.


 drivers/pci/pci-driver.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/pci/pci-driver.c b/drivers/pci/pci-driver.c
--- a/drivers/pci/pci-driver.c	Wed Jun  4 18:12:29 2003
+++ b/drivers/pci/pci-driver.c	Wed Jun  4 18:12:29 2003
@@ -235,7 +235,7 @@
 		driver_data : 0UL;
 
 	spin_lock(&pdrv->dynids.lock);
-	list_add(&pdrv->dynids.list, &dynid->node);
+	list_add_tail(&pdrv->dynids.list, &dynid->node);
 	spin_unlock(&pdrv->dynids.lock);
 
 	bus = get_bus(pdrv->driver.bus);
